.loader {
    &__container {
        position: relative;
        width: 70px;
        height: 70px;
        transition: opacity .8s;
        opacity: 1;
        pointer-events: none;
        transition: 250ms ease-in-out;

        & > * {
            margin: auto;
            position: absolute;
            top: 0; left: 0; bottom: 0; right: 0;
            border-radius: 100%;
        }

        &--loaded {
            opacity: 0;
        }
    }

    &__spinner {
        transition-timing-function: ease-in-out;
        transition-timing-function: cubic-bezier(.8,.12,.12,.8);

        border: 6px solid;
        box-sizing: border-box;
        z-index: 3;

        animation: 3.5s rotate infinite;
        border-color: var(--raspberry);
        border-right: 6px solid rgba(0,0,0,0);
        width: 45px;
        height: 45px;

        @keyframes rotate {
            0% { transform: rotate(0deg); }
            50% { transform: rotate(-1080deg); }
            100% { transform: rotate(-0deg); }
        }
    }

    &__dot {
        z-index: 2;
        width: 15px;
        height: 15px;
        background-color: var(--raspberry);
        animation: pulseDot 1.25s cubic-bezier(0.455, 0.03, 0.515, 0.955) -.4s infinite;
    
        @keyframes pulseDot {
            0% { transform: scale(.8); }
            50% { transform: scale(1); }
            100% { transform: scale(.8); }
        }
    }

    &__circle { 
        z-index: 1;
        opacity: .8;   
        width: 100%;
        height: 100%;
        box-sizing: border-box;
        background-color: var(--raspberry);
        animation: pulseCircle 1.25s cubic-bezier(0.215, 0.61, 0.355, 1) infinite;
    
        @keyframes pulseCircle {
            0% { transform: scale(.33); }
            80%, 100% { opacity: 0; }
        }
    } 
}